GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
addrmap_index_data Struct Reference

## Public Member Functions
| addrmap_index_data (data_buf &addr_vec_, psym_index_map &cu_index_htab_)

## Public Attributes
struct objfile * | objfile
data_buf & | addr_vec
psym_index_map & | cu_index_htab
int | previous_valid
unsigned int | previous_cu_index
CORE_ADDR | previous_cu_start

## Detailed Description

Definition at line 25788 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ addrmap_index_data()

addrmap_index_data::addrmap_index_data | ( | data_buf & | addr_vec_,
|  | psym_index_map & | cu_index_htab_
| ) |  |
| inline

Definition at line 25790 of file dwarf2read.c.

## Member Data Documentation

## ◆ addr_vec

data_buf& addrmap_index_data::addr_vec

Definition at line 25795 of file dwarf2read.c.

Referenced by add_address_entry_worker(), and write_address_map().

## ◆ cu_index_htab

psym_index_map& addrmap_index_data::cu_index_htab

Definition at line 25796 of file dwarf2read.c.

Referenced by add_address_entry_worker(), and write_address_map().

## ◆ objfile

struct objfile* addrmap_index_data::objfile

Definition at line 25794 of file dwarf2read.c.

Referenced by add_address_entry_worker(), and write_address_map().

## ◆ previous_cu_index

unsigned int addrmap_index_data::previous_cu_index

Definition at line 25803 of file dwarf2read.c.

Referenced by add_address_entry_worker(), and write_address_map().

## ◆ previous_cu_start

CORE_ADDR addrmap_index_data::previous_cu_start

Definition at line 25805 of file dwarf2read.c.

Referenced by add_address_entry_worker(), and write_address_map().

## ◆ previous_valid

int addrmap_index_data::previous_valid

Definition at line 25801 of file dwarf2read.c.

Referenced by add_address_entry_worker(), and write_address_map().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c